Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.client.keystone
Class KeystoneResponse.AccessInfo

    java.lang.Object
      com.intel.cosbench.client.keystone.KeystoneResponse.AccessInfo

Enclosing class:
  KeystoneResponse

    public static class KeystoneResponse.AccessInfo

extends java.lang.Object

`{ "user": ... , "token": ... , "serviceCatalog": [ ... ] }`

Nested Class Summary
`static class` | `KeystoneResponse.AccessInfo.ServiceInfo` `{"name": "?", "type": "?", "endpoints": [ ...`
`static class` | `KeystoneResponse.AccessInfo.Token` `{ "id": "?", "tenant": ...`
`static class` | `KeystoneResponse.AccessInfo.User` `{ "id": "?", "name": "?", "roles": [ ...`

Constructor Summary
`KeystoneResponse.AccessInfo()`

Method Summary
`java.util.List<KeystoneResponse.AccessInfo.ServiceInfo>` | `getServiceCatalog()`
`KeystoneResponse.AccessInfo.Token` | `getToken()`
`KeystoneResponse.AccessInfo.User` | `getUser()`
`void` | `setServiceCatalog(java.util.List<KeystoneResponse.AccessInfo.ServiceInfo> serviceCatalog)`
`void` | `setToken(KeystoneResponse.AccessInfo.Token token)`
`void` | `setUser(KeystoneResponse.AccessInfo.User user)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeystoneResponse.AccessInfo

    public KeystoneResponse.AccessInfo()

Method Detail

### getUser

    public KeystoneResponse.AccessInfo.User getUser()

### setUser

    public void setUser(KeystoneResponse.AccessInfo.User user)

### getToken

    public KeystoneResponse.AccessInfo.Token getToken()

### setToken

    public void setToken(KeystoneResponse.AccessInfo.Token token)

### getServiceCatalog

    public java.util.List<KeystoneResponse.AccessInfo.ServiceInfo> getServiceCatalog()

### setServiceCatalog

    public void setServiceCatalog(java.util.List<KeystoneResponse.AccessInfo.ServiceInfo> serviceCatalog)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD